<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>{% block title %}Filoteca Symfony{% endblock %}</title>
        {% block stylesheets %}
        {% endblock %}
            <!-- Fontawesome CSS -->
            <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
            <!-- Bootstrap CSS -->
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
            <link rel="stylesheet" href="assets/css/principal.css" type="text/css">
       
    </head>
    <body>
        {% block nav %}
            <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                <a class="navbar-brand" href="#"><i class="fas fa-film"></i> Mi Filmoteca</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse " id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item active">
                            <a class="nav-link" href="{{ path('home')}}"><i class="fas fa-home"></i> Home <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('register')}}">Registrarse</a>
                        </li>
                        <li class="nav-item">
                            {% if app.user %}
                                <a class="nav-link" href="{{path('logout')}}">Logout</a>
                            {% else %}
                                <a class="nav-link" href="{{path('login')}}">Login</a>
                            {% endif %}
                        </li>
                        {% if app.user %}
                            <li class="nav-item">
                                <a class="nav-link" href="{{path('create')}}">Añadir Producción</a>
                            </li>
                        {% endif %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('artistas_index')}}">Artistas</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('franquicias_index')}}">Franquicias</a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Géneros
                            </a>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                {% for gen in generos %}

                                    <a class="dropdown-item" href="{{ path('generos',{'id':gen.idGenero})}}">{{gen.genero}}</a>
                                {% endfor %}                   
                            </div>
                        </li>

                    </ul>
                    {% if app.user %}
                        <span class="nombreUsuario">  Bienvenido, {{ app.user.name~" "~app.user.surname }}</span>
                    {% endif %}
                    
                    {% if form_busqueda is defined  %}
                    {{ form_start(form_busqueda,{'attr':{'class':'form-inline my-2 my-lg-0'},}) }}
                    {{ form_widget(form_busqueda) }}
                    {{ form_end(form_busqueda) }}
                    {% endif %}
                    
                    <!--<form class="form-inline my-2 my-lg-0">

                        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" style="margin-top: 14px;">
                        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
                    </form>-->
                </div>
            </nav>
        {% endblock %}
    {% block body %}{% endblock %}
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    {% block javascripts %}
    {% endblock %}
</body>
</html>
